#!/usr/bin/env bash

# Best practice options
set -o errexit
set -o nounset
set -o pipefail
if [[ "${TRACE-0}" == "1" ]]; then set -o xtrace; fi

if [[ "${1-}" =~ ^-*h(elp)?$ ]]; then
    echo 'Usage:
'
    exit
fi

pushd ~

[ -d ~/sshfs/obs ] || mkdir -p ~/sshfs/obs
sshfs obs:/srv/salt ~/sshfs/obs
pushd ~/sshfs/obs
nvim
umount ~/sshfs/obs
popd
popd
